Bulk & Campaign Messaging
List SMS campaigns
GET
Retrieves high-level campaign summaries with recipient totals and completion percentages.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
List of active and historical campaigns
application/json- response
status?stringdata?array<>curl -X GET 'https://api.smspro.com/api/v1/public/sms/campaigns'Example Response
{ "status": "string", "data": [ { "id": "string", "name": "string", "status": "string", "totalRecipients": 0, "sentCount": 0, "progressPercent": 0, "createdAt": "2019-08-24T14:15:22Z" } ]}